# Fn<> Member
Type of a member of an object.

Defined in | <seqan/basic.h>
Signature | `Member<TObject, TSpec>::Type;`

## Template Parameters

`TObject` | The object holding the member.
`TSpec` | A tag to identify the object's member.

## Return Values

`Type` | The resulting object's member type.

## Detailed Description

This metafunction is used to control the type of a member of a given object. It works analogously to Fibre. For instance, it is used to change the relationship between two objects from aggregation to composition and vice versa.

## See Also

- Fibre

#### Dox Sources

    /*!
     * @mfn Member
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Type of a member of an object.
     *
     * @signature Member<TObject, TSpec>::Type;
     *
     * @tparam TObject The object holding the member.
     * @tparam TSpec A tag to identify the object's member.
     *
     * @return Type The resulting object's member type.
     *
     * This metafunction is used to control the type of a member of a given object.
     * It works analogously to @link Fibre @endlink. For instance, it is used to
     * change the relationship between two objects from aggregation to composition
     * and vice versa.
     *
     * @see Fibre
     */